# Method: projects.patchDeployments.create

- [HTTP request](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/create#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/create#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/create#try-it)

Create an OS Config patch deployment.

### HTTP request

`POST https://osconfig.googleapis.com/v1/{parent=projects/*}/patchDeployments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project to apply this patch deployment to in the form `projects/*`. |

### Query parameters

| Parameters ||
|---|---|
| `patchDeploymentId` | `string` Required. A name for the patch deployment in the project. When creating a name the following rules apply: \* Must contain only lowercase letters, numbers, and hyphens. \* Must start with a letter. \* Must be between 1-63 characters. \* Must end with a number or a letter. \* Must be unique within the project. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments#PatchDeployment`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments#PatchDeployment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `osconfig.patchDeployments.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).